# MySQL



### Install MariaDB avec Homebrew:



```bash
bruno@SilverBook: ~ $ sudo find / -name mysql
Password:
/usr/local/bin/mysql
/usr/local/include/mysql
/usr/local/etc/init.d/mysql
/usr/local/etc/logrotate.d/mysql
/usr/local/var/mysql
/usr/local/var/mysql/mysql
/usr/local/Cellar/mariadb/10.4.6_1/bin/mysql
/usr/local/Cellar/mariadb/10.4.6_1/include/mysql
/usr/local/Cellar/mariadb/10.4.6_1/include/mysql/server/mysql
/usr/local/Cellar/mariadb/10.4.6_1/include/mysql/mysql
/usr/local/Cellar/mariadb/10.4.6_1/.bottle/etc/init.d/mysql
/usr/local/Cellar/mariadb/10.4.6_1/.bottle/etc/logrotate.d/mysql
/usr/local/Cellar/mariadb/10.4.6_1/share/mysql
/usr/local/share/mysql
```



#### my.cnf

```bash
bruno@SilverBook: /usr/local/etc $ ls -la
total 160
-rw-r--r--    1 bruno  admin    212  4 sep 16:53 my.cnf
drwxr-xr-x    3 bruno  admin     96 16 aoû 10:43 my.cnf.d
-rw-r--r--    1 bruno  admin    113  4 sep 16:53 my.cnf.default
```

```bash
bruno@SilverBook: /usr/local/etc/my.cnf.d $ l
total 0
-rw-r--r--   1 bruno  admin     0 16 aoû 10:43 wont_prune.txt
```



#### Bases

```bash
bruno@SilverBook: /usr/local/var/mysql $ l
total 245920
-rw-rw----   1 bruno  admin      6519 15 oct 17:48 SilverBook.local.err
-rw-rw----   1 bruno  admin         5 15 oct 17:48 SilverBook.local.pid
-rw-rw----   1 bruno  admin     24576 15 oct 17:46 aria_log.00000001
-rw-rw----   1 bruno  admin        52 15 oct 17:46 aria_log_control
-rw-r-----   1 bruno  admin       976 15 oct 17:46 ib_buffer_pool
-rw-rw----   1 bruno  admin  50331648 15 oct 17:48 ib_logfile0
-rw-rw----   1 bruno  admin  50331648  6 aoû 20:18 ib_logfile1
-rw-rw----   1 bruno  admin  12582912 15 oct 17:46 ibdata1
-rw-rw----   1 bruno  admin  12582912 15 oct 17:48 ibtmp1
-rw-rw----   1 bruno  admin         0  6 aoû 20:18 multi-master.info
drwx------  90 bruno  admin      2880  6 aoû 20:18 mysql
drwx------   3 bruno  admin        96  6 aoû 20:18 performance_schema
-rw-rw----   1 bruno  admin      3047 11 aoû 22:49 silverbook-1.home.err
-rw-rw----   1 bruno  admin     30926 15 oct 17:46 silverbook.home.err
```



[Reset Expired root Password for MySQL 5.7 on Mac OS X](Expired-root-Password.md)

[mysqlcheck](mysqlcheck.md)

[backup](Backup.md)

[Socket error](Socket-error.md)

[Commandes diverses](diverses.md)



### Liens:

[:fa-link: https://coolestguidesontheplanet.com/get-apache-mysql-php-and-phpmyadmin-working-on-macos-sierra/](https://coolestguidesontheplanet.com/get-apache-mysql-php-and-phpmyadmin-working-on-macos-sierra/)

[:fa-link: https://coolestguidesontheplanet.com/how-to-change-the-mysql-root-password/](https://coolestguidesontheplanet.com/how-to-change-the-mysql-root-password/)

[:fa-link: http://apple.stackexchange.com/questions/255671/error-mysql-server-pid-file-could-not-be-found](http://apple.stackexchange.com/questions/255671/error-mysql-server-pid-file-could-not-be-found)

